### GET /api/v2/getConfigAll Source: https://toncenter.com/api/v2/openapi.json Get all blockchain configuration parameters ```markdown ### Parameters - **seqno** (integer (int32), query, optional): Block seqno ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getConfigAll?seqno=0" ``` ``` -------------------------------- ### GET /api/v2/getConfigParam Source: https://toncenter.com/api/v2/openapi.json Get blockchain configuration parameter ```markdown ### Parameters - **param** (integer (int32), query, required): Parameter number - **seqno** (integer (int32), query, optional): Block seqno ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getConfigParam?param=0&seqno=0" ``` ``` -------------------------------- ### GET /api/v2/getLibraries Source: https://toncenter.com/api/v2/openapi.json Get library code by their hashes ```markdown ### Parameters - **libraries** (array (#/components/schemas/TonHash), query, optional): Hashes of libraries ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getLibraries?libraries=item1,item2" ``` ``` -------------------------------- ### GET /api/v2/getMasterchainInfo Source: https://toncenter.com/api/v2/openapi.json Get up-to-date masterchain state ```markdown ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getMasterchainInfo" ``` ``` -------------------------------- ### POST /api/v2/getConfigAll Source: https://toncenter.com/api/v2/openapi.json Get all blockchain configuration parameters ```markdown ### Request Body **Content-Type:** application/json - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getConfigAll" \ -H "Content-Type: application/json" \ -d '{ "seqno": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getLibraries Source: https://toncenter.com/api/v2/openapi.json Get library entries by their hashes ```markdown ### Request Body **Content-Type:** application/json - **libraries** (array (TonHash)) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getLibraries" \ -H "Content-Type: application/json" \ -d '{ "libraries": [ "value" ] }' ``` ``` -------------------------------- ### GET /api/v2/getWalletInformation Source: https://toncenter.com/api/v2/openapi.json Get wallet-specific information about address ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form - **seqno** (integer (int32), query, optional): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getWalletInformation?address=value&seqno=0" ``` ``` -------------------------------- ### POST /api/v2/getConfigParam Source: https://toncenter.com/api/v2/openapi.json Get blockchain configuration parameter ```markdown ### Request Body **Content-Type:** application/json - **config_id** (string) - **param** (string) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getConfigParam" \ -H "Content-Type: application/json" \ -d '{ "config_id": "value", "param": "value", "seqno": "value" }' ``` ``` -------------------------------- ### GET /api/v2/detectHash Source: https://toncenter.com/api/v2/openapi.json Get all possible hash forms ```markdown ### Parameters - **hash** (TonHash, query, required): The 256-bit hash in any form ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/detectHash?hash=value" ``` ``` -------------------------------- ### GET /api/v2/getAddressBalance Source: https://toncenter.com/api/v2/openapi.json Get address balance in nanotons ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form - **seqno** (integer (int32), query, optional): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getAddressBalance?address=value&seqno=0" ``` ``` -------------------------------- ### GET /api/v2/detectAddress Source: https://toncenter.com/api/v2/openapi.json Get all possible address forms ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/detectAddress?address=value" ``` ``` -------------------------------- ### POST /api/v2/runGetMethod Source: https://toncenter.com/api/v2/openapi.json Run get method of smart contract ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **method** (string) (required) - **stack** (array (LegacyStackEntry)) (required) - **seqno** (integer (int32)) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/runGetMethod" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "method": "value", "stack": [ "value" ], "seqno": "0" }' ``` ``` -------------------------------- ### GET /api/v2/getShardBlockProof Source: https://toncenter.com/api/v2/openapi.json Get merkle proof of shard block ```markdown ### Parameters - **workchain** (integer (int32), query, required): Workchain ID - **shard** (string, query, required): Shard ID - **seqno** (integer (int32), query, required): Seqno of a block - **from_seqno** (integer (int32), query, optional): Seqno of masterchain block starting from which proof is required. If not specified latest masterchain block is used ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getShardBlockProof?workchain=0&shard=string&seqno=0&from_seqno=0" ``` ``` -------------------------------- ### POST /api/v2/getMasterchainInfo Source: https://toncenter.com/api/v2/openapi.json Get up-to-date masterchain state ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getMasterchainInfo" \ -H "Content-Type: application/json" \ -d '{}' ``` ``` -------------------------------- ### GET /api/v2/getAddressInformation Source: https://toncenter.com/api/v2/openapi.json Get basic information about address ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form - **seqno** (integer (int32), query, optional): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getAddressInformation?address=value&seqno=0" ``` ``` -------------------------------- ### POST /api/v2/runGetMethodStd Source: https://toncenter.com/api/v2/openapi.json Run get method of smart contract ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **method** (string) (required) - **stack** (array (union)) (required) Array items: - **@type** (string (tvm.stackEntrySlice)) (required) ("tvm.stackEntrySlice") - **slice** (object) (required) - **@type** (string (tvm.slice)) (required) ("tvm.slice") - **bytes** (string) (required) - **seqno** (integer) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/runGetMethodStd" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "method": "value", "stack": [ "value" ], "seqno": "0" }' ``` ``` -------------------------------- ### GET /api/v2/getTokenData Source: https://toncenter.com/api/v2/openapi.json Get Jetton/NFT metadata from token smart contract ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getTokenData?address=value" ``` ``` -------------------------------- ### POST /api/v2/getWalletInformation Source: https://toncenter.com/api/v2/openapi.json Get wallet-specific information about address ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getWalletInformation" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "seqno": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getShards Source: https://toncenter.com/api/v2/openapi.json Get shards information ```markdown ### Request Body **Content-Type:** application/json - **seqno** (string) (required) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getShards" \ -H "Content-Type: application/json" \ -d '{ "seqno": "value" }' ``` ``` -------------------------------- ### POST /api/v2/detectHash Source: https://toncenter.com/api/v2/openapi.json Get all possible hash forms ```markdown ### Request Body **Content-Type:** application/json - **hash** (string) (required) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/detectHash" \ -H "Content-Type: application/json" \ -d '{ "hash": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getShardBlockProof Source: https://toncenter.com/api/v2/openapi.json Get merkle proof of shard block ```markdown ### Request Body **Content-Type:** application/json - **workchain** (string) (required) - **shard** (string) (required) - **seqno** (string) (required) - **from_seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getShardBlockProof" \ -H "Content-Type: application/json" \ -d '{ "workchain": "value", "shard": "value", "seqno": "value", "from_seqno": "value" }' ``` ``` -------------------------------- ### GET /api/v2/getBlockHeader Source: https://toncenter.com/api/v2/openapi.json Get block header information ```markdown ### Parameters - **workchain** (integer (int32), query, required): Workchain ID - **shard** (string, query, required): Shard ID - **seqno** (integer (int32), query, required): Seqno of a block - **root_hash** (string, query, optional): Root hash of a block - **file_hash** (string, query, optional): File hash of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getBlockHeader?workchain=0&shard=string&seqno=0&root_hash=string&file_hash=string" ``` ``` -------------------------------- ### GET /api/v2/getAddressState Source: https://toncenter.com/api/v2/openapi.json Get address state (active, uninitialized or frozen) ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form - **seqno** (integer (int32), query, optional): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getAddressState?address=value&seqno=0" ``` ``` -------------------------------- ### POST /api/v2/detectAddress Source: https://toncenter.com/api/v2/openapi.json Get all possible address forms ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/detectAddress" \ -H "Content-Type: application/json" \ -d '{ "address": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getTokenData Source: https://toncenter.com/api/v2/openapi.json Get Jetton/NFT metadata from token smart contract ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getTokenData" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "seqno": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getAddressBalance Source: https://toncenter.com/api/v2/openapi.json Get address balance in nanotons ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getAddressBalance" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "seqno": "value" }' ``` ``` -------------------------------- ### GET /api/v2/getMasterchainBlockSignatures Source: https://toncenter.com/api/v2/openapi.json Get signatures of validators for masterchain block ```markdown ### Parameters - **seqno** (integer (int32), query, required): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getMasterchainBlockSignatures?seqno=0" ``` ``` -------------------------------- ### POST /api/v2/getAddressInformation Source: https://toncenter.com/api/v2/openapi.json Get basic information about address ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getAddressInformation" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "seqno": "value" }' ``` ``` -------------------------------- ### GET /api/v2/getShards Source: https://toncenter.com/api/v2/openapi.json Get shards information by given masterchain block seqno ```markdown ### Parameters - **seqno** (integer (int32), query, required): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getShards?seqno=0" ``` ``` -------------------------------- ### GET /api/v2/getShardAccountCell Source: https://toncenter.com/api/v2/openapi.json Get raw TVM cell with shard account ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form - **seqno** (integer (int32), query, optional): Seqno of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getShardAccountCell?address=value&seqno=0" ``` ``` -------------------------------- ### POST /api/v2/getAddressState Source: https://toncenter.com/api/v2/openapi.json Get address state (active, uninitialized or frozen) ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getAddressState" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "seqno": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getBlockHeader Source: https://toncenter.com/api/v2/openapi.json Get block header information ```markdown ### Request Body **Content-Type:** application/json - **workchain** (string) (required) - **shard** (string) (required) - **seqno** (string) (required) - **root_hash** (string) - **file_hash** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getBlockHeader" \ -H "Content-Type: application/json" \ -d '{ "workchain": "value", "shard": "value", "seqno": "value", "root_hash": "value", "file_hash": "value" }' ``` ``` -------------------------------- ### GET /api/v2/packAddress Source: https://toncenter.com/api/v2/openapi.json Pack address to base64 form ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/packAddress?address=value" ``` ``` -------------------------------- ### GET /api/v2/tryLocateSourceTx Source: https://toncenter.com/api/v2/openapi.json Try to locate source transaction by destination transaction parameters ```markdown ### Parameters - **source** (TonAddr, query, required): Source address - **destination** (TonAddr, query, required): Destination address - **created_lt** (string, query, required): Creation logical time of a message ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/tryLocateSourceTx?source=value&destination=value&created_lt=string" ``` ``` -------------------------------- ### POST /api/v2/getTransactions Source: https://toncenter.com/api/v2/openapi.json Get transactions for specified address ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **lt** (string) - **hash** (string) - **to_lt** (string) - **archival** (string) - **limit** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getTransactions" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "lt": "value", "hash": "value", "to_lt": "value", "archival": "value", "limit": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getBlockTransactions Source: https://toncenter.com/api/v2/openapi.json Get transactions in specified block ```markdown ### Request Body **Content-Type:** application/json - **workchain** (string) (required) - **shard** (string) (required) - **seqno** (string) (required) - **root_hash** (string) - **file_hash** (string) - **after_lt** (string) - **after_hash** (string) - **count** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getBlockTransactions" \ -H "Content-Type: application/json" \ -d '{ "workchain": "value", "shard": "value", "seqno": "value", "root_hash": "value", "file_hash": "value", "after_lt": "value", "after_hash": "value", "count": "value" }' ``` ``` -------------------------------- ### POST /api/v2/getMasterchainBlockSignatures Source: https://toncenter.com/api/v2/openapi.json Get signatures of validators for masterchain block ```markdown ### Request Body **Content-Type:** application/json - **seqno** (string) (required) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getMasterchainBlockSignatures" \ -H "Content-Type: application/json" \ -d '{ "seqno": "value" }' ``` ``` -------------------------------- ### GET /api/v2/lookupBlock Source: https://toncenter.com/api/v2/openapi.json Look up block by seqno, shard and workchain ```markdown ### Parameters - **workchain** (integer (int32), query, required): Workchain ID - **shard** (string, query, required): Shard ID - **seqno** (integer (int32), query, optional): Seqno of a block - **lt** (string, query, optional): Logical time of a block - **unixtime** (integer (int32), query, optional): UNIX timestamp of a block ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/lookupBlock?workchain=0&shard=string&seqno=0<=string&unixtime=0" ``` ``` -------------------------------- ### POST /api/v2/getShardAccountCell Source: https://toncenter.com/api/v2/openapi.json Get raw TVM cell with shard account ```markdown ### Request Body **Content-Type:** application/json - **address** (string) (required) - **seqno** (string) ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/getShardAccountCell" \ -H "Content-Type: application/json" \ -d '{ "address": "value", "seqno": "value" }' ``` ``` -------------------------------- ### GET /api/v2/unpackAddress Source: https://toncenter.com/api/v2/openapi.json Unpack address from base64 form ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/unpackAddress?address=value" ``` ``` -------------------------------- ### GET /api/v2/getTransactions Source: https://toncenter.com/api/v2/openapi.json Get transactions for specified address ```markdown ### Parameters - **address** (TonAddr, query, required): Identifier of target TON account in any form - **limit** (integer (int64), query, optional): Maximum number of items in response - **lt** (string, query, optional): Logical time of the transaction to start from - **hash** (TonHash, query, optional): The 256-bit hash in any form - **to_lt** (string, query, optional): Logical time to stop at - **archival** (boolean, query, optional): Whether to use archival node ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/getTransactions?address=value&limit=10<=string&hash=value&to_lt=0&archival=false" ``` ``` -------------------------------- ### GET /api/v2/tryLocateTx Source: https://toncenter.com/api/v2/openapi.json Try to locate outcoming transaction of __destination__ address by incoming message ```markdown ### Parameters - **source** (TonAddr, query, required): Source address - **destination** (TonAddr, query, required): Destination address - **created_lt** (string, query, required): Creation logical time of a message ### Responses #### 200 - OK **TonlibResponse** - **ok** (boolean) (required) - **result** (string) (required) - **@extra** (string) (required) - **jsonrpc** (string) - **id** (string) #### default - response **TonlibErrorResponse** - **ok** (boolean) (required) - **error** (string) (required) - **code** (integer) (required) - **@extra** (string) - **jsonrpc** (string) - **id** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/tryLocateTx?source=value&destination=value&created_lt=string" ``` ```